﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns="urn:schemas-microsoft-com:office:spreadsheet"
				xmlns:o="urn:schemas-microsoft-com:office:office"
				xmlns:x="urn:schemas-microsoft-com:office:excel"
				xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
				xmlns:html="http://www.w3.org/TR/REC-html40">

	<!-- 
		Transformačná šablóna transformuje položky prijatej faktúry do súboru XLS vo formáte Excel XML 2003
	-->


	<xsl:template match="/">
		<xsl:processing-instruction name="mso-application">
			<xsl:text>progid="Excel.Sheet"</xsl:text>
		</xsl:processing-instruction>

		<Workbook xmlns="urn:schemas-microsoft-com:office:spreadsheet"
					xmlns:o="urn:schemas-microsoft-com:office:office"
					xmlns:x="urn:schemas-microsoft-com:office:excel"
					xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
					xmlns:html="http://www.w3.org/TR/REC-html40">

			<DocumentProperties xmlns="urn:schemas-microsoft-com:office:office">
				<Author>OBERON</Author>
				<LastAuthor>OBERON</LastAuthor>
				<Created>2012-06-05T14:21:48Z</Created>
				<Version>12.00</Version>
			</DocumentProperties>

			<OfficeDocumentSettings xmlns="urn:schemas-microsoft-com:office:office">
				<DownloadComponents />
				<LocationOfComponents HRef="file:///\\phlfsnt01\DOWNLOAD\OfficeXPSrc\" />
			</OfficeDocumentSettings>

			<ExcelWorkbook xmlns="urn:schemas-microsoft-com:office:excel">
				<WindowHeight>9210</WindowHeight>
				<WindowWidth>15195</WindowWidth>
				<WindowTopX>0</WindowTopX>
				<WindowTopY>60</WindowTopY>
				<ProtectStructure>False</ProtectStructure>
				<ProtectWindows>False</ProtectWindows>
			</ExcelWorkbook>

			<Styles>
				<Style ss:ID="Default" ss:Name="Normal">
					<Alignment ss:Vertical="Bottom"/>
					<Borders/>
					<Font ss:FontName="Arial"/>
					<Interior/>
					<NumberFormat/>
					<Protection/>
				</Style>
				<Style ss:ID="s62">
					<Alignment ss:Horizontal="Right" ss:Vertical="Bottom"/>
				</Style>
				<Style ss:ID="s63">
					<Font ss:FontName="Arial" x:CharSet="238" x:Family="Swiss" ss:Bold="1"/>
				</Style>
				<Style ss:ID="s64">
					<Alignment ss:Horizontal="Right" ss:Vertical="Bottom"/>
					<Font ss:FontName="Arial" x:CharSet="238" x:Family="Swiss" ss:Bold="1"/>
				</Style>
			</Styles>

			<Worksheet ss:Name="Sheet1">

				<Table ss:ExpandedColumnCount="9" 
						ss:ExpandedRowCount="{count(//OBERON/Data/InvoicesReceived/Record/Items/Item) + 2}" 
						x:FullColumns="1" 
						x:FullRows="1" 
						ss:DefaultRowHeight="15">
					<Column ss:AutoFitWidth="0" ss:Width="63" ss:Span="1"/>
					<Column ss:Index="3" ss:AutoFitWidth="0" ss:Width="216"/>
					<Column ss:StyleID="s62" ss:AutoFitWidth="0" ss:Width="51"/>
					<Column ss:Index="6" ss:StyleID="s62" ss:AutoFitWidth="0" ss:Width="103.5"/>
					<Column ss:StyleID="s62" ss:AutoFitWidth="0" ss:Width="94.5"/>
					<Column ss:StyleID="s62" ss:AutoFitWidth="0" ss:Width="79.5"/>
					<Column ss:AutoFitWidth="0" ss:Width="50.25"/>

					<Row ss:AutoFitHeight="0">
						<Cell ss:StyleID="s63"><Data ss:Type="String">Číslo</Data></Cell>
						<Cell ss:StyleID="s63"><Data ss:Type="String">Čiarový kód</Data></Cell>
						<Cell ss:StyleID="s63"><Data ss:Type="String">Názov</Data></Cell>
						<Cell ss:StyleID="s64"><Data ss:Type="String">Množstvo</Data></Cell>
						<Cell ss:StyleID="s63"><Data ss:Type="String">MJ</Data></Cell>
						<Cell ss:StyleID="s64"><Data ss:Type="String">Cena za MJ bez DPH</Data></Cell>
						<Cell ss:StyleID="s64"><Data ss:Type="String">Cena za MJ s DPH</Data></Cell>
						<Cell ss:StyleID="s64"><Data ss:Type="String">Celkom s DPH</Data></Cell>
						<Cell ss:StyleID="s63"><Data ss:Type="String">DPH [%]</Data></Cell>
					</Row>

					<xsl:for-each select="//OBERON/Data/InvoicesReceived/Record/Items/Item">
						<Row ss:AutoFitHeight="0">
							<Cell><Data ss:Type="String"><xsl:value-of select="Number" /></Data></Cell>
							<Cell><Data ss:Type="String"><xsl:value-of select="BarCode" /></Data></Cell>
							<Cell><Data ss:Type="String"><xsl:value-of select="Name" /></Data></Cell>
							<Cell><Data ss:Type="String"><xsl:value-of select='format-number(Amount_Unit,"#0.0000")' /></Data></Cell>
							<Cell><Data ss:Type="String"><xsl:value-of select='Unit' /></Data></Cell>
							<Cell><Data ss:Type="String"><xsl:value-of select='format-number(Price_WithoutVAT_Unit,"#0.0000")' /></Data></Cell>
							<Cell><Data ss:Type="String"><xsl:value-of select='format-number(Price_WithVAT_Unit,"#0.0000")' /></Data></Cell>
							<Cell><Data ss:Type="String"><xsl:value-of select='format-number(Price_WithVAT,"#0.0000")' /></Data></Cell>
							<Cell><Data ss:Type="String"><xsl:value-of select="VAT_Rate" /></Data></Cell>
						</Row>
					</xsl:for-each>

				</Table>
				<WorksheetOptions xmlns="urn:schemas-microsoft-com:office:excel">
					<PageSetup>
						<Header x:Margin="0.3"/>
						<Footer x:Margin="0.3"/>
						<PageMargins x:Bottom="0.75" x:Left="0.7" x:Right="0.7" x:Top="0.75"/>
					</PageSetup>
					<Selected/>
					<Panes>
						<Pane>
							<Number>3</Number>
							<ActiveRow>1</ActiveRow>
						</Pane>
					</Panes>
					<ProtectObjects>False</ProtectObjects>
					<ProtectScenarios>False</ProtectScenarios>
				</WorksheetOptions>
			</Worksheet>
		</Workbook>

	</xsl:template>
</xsl:stylesheet>